pretranslate(1)

NAME
pretranslate - Fill localization files with suggested translations based on translation memory and existing translations.

SYNOPSIS

pretranslate [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-t|--template TEMPLATE] [--tm] [-s|--similarity] [--nofuzzymatching]

OPTIONS

--version
    show program's version number and exit

-h/--help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress
    show progress as: dots, none, bar, names, verbose

--errorlevel
    show errorlevel as: none, message, exception, traceback

-i/--input
    read from INPUT in po, pot, xlf, pot formats

-x/--exclude
    exclude names matching EXCLUDE from input paths

-o/--output
    write to OUTPUT in po, pot, xlf formats

-t/--template
    read from TEMPLATE in po, pot, xlf formats

--tm
    The file to use as translation memory when fuzzy matching

-s/--similarity
    The minimum similarity for inclusion (default: 75%)

--nofuzzymatching
    Disable fuzzy matching